اطلاعیه

بستن
No announcement yet.

پیغام apt-get -f install موقع نصب برنامه ها

بستن
X
 
  • فیلتر کردن
  • زمان
  • نمایش
Clear All
پست های جدید

    پیغام apt-get -f install موقع نصب برنامه ها

    سلام موقعی که میخوام بعضی اپلیکیشن ها رو روی لینوکسم بریزم با پیغام apt-get -f install مواجه میشم. من این پکیج رو نصب کردم ولی میخواستم بدونم دلیل علمی این پیغام چیه به چه دردی میخوره و اصلا چرا این پیغام میادش؟
    کد PHP:
    behrooz@debian:~/Documentssudo apt-get install shutter 
    [sudopassword for behrooz
    Reading package lists... Done
    Building dependency tree       
    Reading state information
    ... Done
    You might want to run 
    'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
     
    shutter Dependslibgnome2-perl but it is not going to be installed
               Depends
    libgnome2-vfs-perl but it is not going to be installed
               Depends
    libgnome2-wnck-perl but it is not going to be installed
               Depends
    libgnome2-gconf-perl but it is not going to be installed
               Depends
    libxml-simple-perl but it is not going to be installed
               Depends
    libwww-mechanize-perl but it is not going to be installed
               Depends
    libproc-simple-perl but it is not going to be installed
               Depends
    libfile-which-perl but it is not going to be installed
               Depends
    libsort-naturally-perl but it is not going to be installed
               Depends
    libgtk2-imageview-perl but it is not going to be installed
               Depends
    libgnome2-canvas-perl but it is not going to be installed
               Depends
    libgtk2-unique-perl but it is not going to be installed
               Depends
    libproc-processtable-perl but it is not going to be installed
               Depends
    libpath-class-perl but it is not going to be installed
               Depends
    libjson-perl but it is not going to be installed
               Depends
    libjson-xs-perl but it is not going to be installed
               Depends
    libnet-dropbox-api-perl but it is not going to be installed
               Recommends
    libgoo-canvas-perl but it is not going to be installed
     virtualbox
    -4.3 Dependslibqt4-network (>= 4:4.5.3but it is not going to be installed
                      Depends
    libqt4-opengl (>= 4:4.7.2but it is not going to be installed
                      Depends
    libqtcore4 (>= 4:4.8.0but it is not going to be installed
                      Depends
    libqtgui4 (>= 4:4.8.0but it is not going to be installed
                      Recommends
    libsdl-ttf2.0-0 but it is not going to be installed
                      Recommends
    dkms but it is not going to be installed
                      Recommends
    linux-headers
                      Recommends
    gcc but it is not going to be installed
                      Recommends
    make
                      Recommends
    binutils but it is not going to be installed
    E
    Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a s 
    بعدش که apt-get -f install رو که میزنم نصب میشه وسط نصبش این پیغام رو میده :
    کد PHP:
    There are services installed on your system which need to be restarted when certain librariessuch as libpamlibc, and libsslare upgraded.

    Since these restarts may cause interruptions of service for the systemyou will normally be prompted on each upgrade for the list of services you wish to restart.

    You can choose this option to avoid being promptedinsteadall necessary restarts will be done for you automatically so you can avoid being asked questions on each library upgrade.

    Restart services during package upgrades without asking

    پیشاپیش از راهنمایی های شما تشکر میکنم.
    آخرین ویرایش توسط behrooz; در تاریخ/ساعت 04-29-2015, 02:18 PM.

    #2
    سلام
    از چه توزیعی استفاده می کنید؟
    چه نسخه ای؟
    تازگی upgrade کردید؟

    کامنت


      #3
      اوبونتو نصب کرده بودم به تازگی که این پیغام رو میداد. یه دبیان هم ریختم اونم موقع نصب بعضی برنامه ها همین پیغام رو میداد.

      کامنت


        #4
        طبق این آموزش جلو برید: http://tecadmin.net/install-oracle-virtualbox-on-ubuntu
        به احتمال زیاد کانفیلیکت بین پکیج و معماری پیش نیاز هاست.

        کامنت


          #5
          ممنون دوست عزیز ولی من زبانم خوب نیست و فقط میخوام بدونم این کامند apt-get -f install که در بالا نوشتم و پیغام های بعدیش چه کاری انجام میده ؟
          با تشکر

          کامنت


            #6
            دقیقا بفرمائید از چه نسخه و توزیعی استفاده می کنید.
            همینطور خروجی دستور زیر هم بدید.
            کد:
            uname -a

            کامنت


              #7
              debian 7.8 64bit

              کامنت


                #8
                اون پیغام میگه یه سری سرویس ها رو سیتمون هست که برا آپگرید شدن نیاز به ریست دارن حالا شاید این وسط یه سرویسی باشه که ریست شدنش براتون مهم باشه ونخواین ریست بشه حالا سوال میپرسه که آیا میخوای سر هر سرویس ازت سوال بپرسه یا اینکه بدون سوال در طول آپدیت کردن پکیج ها همه سرویس ها رو خودش ریست کنه
                شما بش yes بده : y

                من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                کامنت


                  #9
                  ممنون از پاسخگویی تون. پاسخ سوال دومم رو گرفتم ولی اولی هنوز متوجه نشدم. ممنون

                  کامنت


                    #10
                    ببینید f- یعنی fix-broken یعنی fix-missing یعنی رفع مشکل dependency مثلا برای نصب یه پکیج مثل ssh نیاز به پکیج هست به نام openssh-client که این ورژن خیلی قدیمی ازش رو سیستمت هست ولی به درد نمیخوره که این openssh-client به همراه dependency هاش باید آپدیت بشن یعنی حذف و یا به آخرین ورژن موجود نصب و یا آپدیت بشن که خوب دستور 'apt-get -f install' این کار رو میکنه

                    من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                    کامنت

                    درباره انجمن منطقه لینوکسی ها

                    انجمن منطقه لینوکسی ها با هدف ارتقاء سطح علمی کاربران در سطح جهانی و همچنین کمک به بالا بردن سطح علمی عمومی در زمینه های تخصصی فوق پایه گذاری شده است. انجمن منطقه لینوکسی ها از طریق کارشناسان و متخصصان پاسخگوی سوالات گوناگون کاربران مبتدی یا پیشرفته میباشد تا حد امکان تلاش شده که محیطی متنوع و کاربر پسند و به دور از هرگونه حاشیه جهت فعالیت کاربران در این انجمن ایجاد شود. لذا ما به صورت مستمر برای پیشرفت کمی و کیفی محتوی و اطلاعات انجمنمان میکوشیم که این برای ما ارزشمند و حائز اهمیت است. کلیه حقوق،اطلاعات و مقالات در این انجمن متعلق به سایت منطقه لینوکسی ها میباشد، و هرگونه نسخه برداری بدون ذکر منبع مورد پیگرد قانونی خواهد شد.

                    شبکه های اجتماعی

                    ایمیل مدیریت

                    Habili@linux-zone.org

                    در حال انجام ...
                    X